##### Managed by Ansible #####

region = "{{ nomad_region }}"
datacenter = "{{ nomad_datacenter }}"
data_dir = "/opt/nomad"

{% if nomad_server is truthy %}
server {
  enabled = true
  bootstrap_expect = {{ nomad_bootstrap_expect }}
  {% if nomad_encryption_key is defined %}
  encrypt = "{{ nomad_encryption_key }}"
  {% endif %}
  {% if nomad_server_extra_configuration is defined %}

  {{ nomad_server_extra_configuration }}
  {% endif %}
}
{% else %}
client {
  enabled = true
  {% if nomad_client_extra_configuration is defined %}

  {{ nomad_client_extra_configuration }}
  {% endif %}
}
{% endif %}

{% if nomad_ca_certificate is defined and nomad_agent_certificate is defined and nomad_agent_key is defined %}
tls {
  http = true
  rpc = true

  verify_server_hostname = true
  verify_https_client = true

  ca_file = "/usr/local/etc/nomad.d/certs/nomad-agent-ca.pem"
  cert_file = "/usr/local/etc/nomad.d/certs/{{ nomad_region }}-agent-nomad.pem"
  key_file = "/usr/local/etc/nomad.d/certs/{{ nomad_region }}-agent-nomad-key.pem"
}
{% endif %}
{% if nomad_extra_configuration is defined %}

{{ nomad_extra_configuration }}
{% endif %}
